Ask Your Question
0

"Library not found (000281)" PSS/E v34.3 & PSS/E v34.4

asked 2018-08-16 03:47:29 -0500

sofiguer gravatar image

Hello everyone,

Is there any problem if an user model (.dll) is compiled in PSS/E v34.4 and later used in PSS/E v34.3 ???

A third party sent me a model compiled in PSS/E 34.4 using Intel Visual Fortran 2017 & Visual Studio 2015 in 64 Bit Operation System, but when I try to do the simulations in PSS/E 34.3 an error appears: "Library not found (000281)".

Is this error appearing because the PSS/E versions are different or because the IVF Fortran & VS software versions used for compiled the model are not the correct ones? As far as I know PSS/E 34 (in general) requires IVF 2015 and VS 2013.

Thank you

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2018-08-16 10:46:52 -0500

jconto gravatar image

PSSe is a 32-bit program. It could be that the Fortran compiler, Visual Studio or OS being 64-bit version can create a conflict resulting in a non-compatible dll file. On the PSS/E v34.4 vs. v34.3 dll compatibility, PTI claimed that dlls within the same major version (v.34) should be compatible. Let's us know when you find an answer.

edit flag offensive delete link more

Comments

Thank you for the answer joconto. Of course as soon as I find an answer for this I will let you know. At the moment I am waiting for the third party to send me the user model compiled again but now in 32-bit OS, also using IVF2015 & VS2013.

sofiguer gravatar imagesofiguer ( 2018-08-17 04:13:28 -0500 )edit

Check out this discussion also, where some users have had issues when moving models from {v34.2 and lower} to {v.34.3} and higher, or vice versa. https://psspy.org/psse-help-forum/question/3660/user-defined-library-in-psse34-library-not-found/

jfconroy gravatar imagejfconroy ( 2018-08-17 08:47:42 -0500 )edit

@jconto I received from the third party the user model compiled for PSS/E 34.4 in 32-bits OS, but they used IVF2016 & VS2015. This time the "Library not found (000281)" message does not appear but the simulation is still not running. I believe models compiled in PSS/E 34.4 does not work in v34.3.

sofiguer gravatar imagesofiguer ( 2018-08-22 11:40:38 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

[hide preview]

Question Tools

1 follower

Stats

Asked: 2018-08-16 03:47:29 -0500

Seen: 62 times

Last updated: Aug 16